//
//  TileView.m
//  tiledemo
//
//  Created by Michael Heyeck on 3/13/10.
//  Copyright 2010 Fair Oaks Labs, Inc.. All rights reserved.
//

#import "TileView.h"


@implementation TileView


- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}


- (void)drawRect:(CGRect)rect
{
	CGContextRef context = UIGraphicsGetCurrentContext();
    [[UIColor blackColor] set];
	
	// Labelling the view
	NSInteger r = (NSInteger) (self.frame.origin.y/self.frame.size.height);
	NSInteger c = (NSInteger) (self.frame.origin.x/self.frame.size.width);
	NSString* s = [NSString stringWithFormat:@"(%d, %d)",c,r];
	
	UIFont* f = [UIFont systemFontOfSize:18];
	CGContextSelectFont(context, [[f fontName] cStringUsingEncoding:NSASCIIStringEncoding], [f pointSize], kCGEncodingMacRoman);
	CGContextSetTextDrawingMode(context, kCGTextFillStroke);
	CGContextSetTextMatrix(context, CGAffineTransformMakeScale(1, -1));
	
	CGContextShowTextAtPoint(context,
							 0,
							 [f pointSize],
							 [s cStringUsingEncoding:NSMacOSRomanStringEncoding],
							 [s lengthOfBytesUsingEncoding:NSMacOSRomanStringEncoding]);
}


- (void)dealloc {
    [super dealloc];
}


@end
